vBulletin Mods

The Official vBulletin Modifications Site
https://www.vbulletin.org/forum/showthread.php?t=314573

Error: Unable to add cookies, header already sent
by BlueCheri
29 Sep 2014 13:01

Getting following error, can someone please help me on that?

Quote:

Unable to add cookies, header already sent.
File: /home/-forum name-/public_html/dbtech/status/hooks/init_startup.php
Line: 33
Thanx in advance.

G!

Dave 29 Sep 2014 13:16

You should contact the author of that status mod by dbtech.
It basically means that output is being sent before vBulletin can set cookies/headers, this must happen before any output is being sent to the client.

Lynne 29 Sep 2014 19:21

Did you recently edit your config.php file? If so, did you make sure to use a plain text editor such as notepad++? If you didn't, you may have left a BOM, so I'd suggest redoing the config.php file with a plain text editor.

BlueCheri 03 Oct 2014 09:07

Quote:

Originally Posted by Dave (Post 2516851)
You should contact the author of that status mod by dbtech.
It basically means that output is being sent before vBulletin can set cookies/headers, this must happen before any output is being sent to the client.

Thanx for reply.

Quote:

Originally Posted by Lynne (Post 2516912)
Did you recently edit your config.php file? If so, did you make sure to use a plain text editor such as notepad++? If you didn't, you may have left a BOM, so I'd suggest redoing the config.php file with a plain text editor.

Tried with Notepad++

Now getting following error, can you please help me on this?

Thanx in advance.

Quote:

Warning: session_start() [function.session-start]: Cannot send session cookie - headers already sent by (output started at ..../dbtech/status/hooks/init_startup.php:33) in ..../includes/facebook/facebook.php on line 49

Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at ..../dbtech/status/hooks/init_startup.php:33) in


Lynne 03 Oct 2014 18:32

So you created a new config.php file that you edited using notepad++ or you just edited the existing one? Make sure you save it without BOM. Also, are you running 4.2.2? If so, please add the following line to your config.php file under the <?php line:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.


BlueCheri 04 Oct 2014 07:57

Quote:

Originally Posted by Lynne (Post 2517556)
So you created a new config.php file that you edited using notepad++ or you just edited the existing one? Make sure you save it without BOM. Also, are you running 4.2.2? If so, please add the following line to your config.php file under the <?php line:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.


Many thanx again, tried with your suggestions. Sorry some how it's not working :(

I am not getting what I am doing wrong?

Kindly help me.

Rgds,

G!

Lynne 04 Oct 2014 18:56

Try disabling your modifications/plugins and see if you still have this problem.
Note: To temporarily disable the plugin system, edit includes/config.php and add this line right under <?php


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.


BlueCheri 04 Oct 2014 19:49

Quote:

Originally Posted by Lynne (Post 2517674)
Try disabling your modifications/plugins and see if you still have this problem.
Note: To temporarily disable the plugin system, edit includes/config.php and add this line right under <?php


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.


Now it shows following error;


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.


Lynne 04 Oct 2014 22:01

You shouldn't be getting that warning if you add the line from post 5 to your config.php file. Is that line still in there?

BlueCheri 05 Oct 2014 06:11

Quote:

Originally Posted by Lynne (Post 2517684)
You shouldn't be getting that warning if you add the line from post 5 to your config.php file. Is that line still in there?

Unfortunately the error is still there :(


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.


cellarius 05 Oct 2014 09:19

Well, the file that triggers the error clearly is from an addon, namely a dbtech one, probably status and moods. This addon clearly is still executing plugin code, which it wouldn't if that line of code was present. Either you did not add it correctly or you did not add it to the correct file.

BlueCheri 05 Oct 2014 09:32

Quote:

Originally Posted by cellarius (Post 2517721)
Well, the file that triggers the error clearly is from an addon, namely a dbtech one, probably status and moods. This addon clearly is still executing plugin code, which it wouldn't if that line of code was present. Either you did not add it correctly or you did not add it to the correct file.

Thanx for your reply.

But now I can not login to admin cp and disable that mod, any other option to do it?

Note:

After using this code;



Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

I am getting following error;


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

And for Admin CP following error;


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.


Lynne 05 Oct 2014 17:59

You should have both the lines in there:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

What error do you get with both of those lines added via notepad++?

BlueCheri 06 Oct 2014 06:44

Quote:

Originally Posted by Lynne (Post 2517761)
You should have both the lines in there:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

What error do you get with both of those lines added via notepad++?

Same error


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

https://www.vbulletin.org/forum/external/2014/10/28.jpg

cellarius 06 Oct 2014 10:27

Download a fresh package from the customer's area at vb.com and reupload your vB files. Leave the lines Lynne told you in your config.php.


All times are GMT. The time now is 21:33.

Powered by vBulletin® Version 3.8.13
Copyright © 2019, MH Sub I, LLC dba vBulletin. All Rights Reserved. vBulletin® is a registered trademark of MH Sub I, LLC
Copyright ©2001 - , vbulletin.org. All rights reserved.